body {
    display: flex;
    flex-direction: column;
    justify-content: start;
    height: 100vh;
    width: 100vw;
    overflow: none;
}

:root {
    --size-logo: 40px;
}

#logo-header {
    height: var(--size-logo);
}

#root {
    height: calc(100vh - calc(var(--size-logo) + 0.3125rem + 0.3125rem + 0.5rem + 0.5rem));
}

.max-size{
    max-height: calc(100vh - calc(var(--size-logo) + 0.3125rem + 0.3125rem + 0.5rem + 0.5rem));
    max-width: 100vw;
}

.lod-message {
    position: absolute;
    animation: 1s messageSlide 10s;
    height: 50px;
    width: 50vw;
    z-index: 1021;
}
@keyframes messageSlide {
    0% {}

    100% {
        top: -24px;
    }
}

.cursor-pointer {
    cursor: pointer;
}

.text-oneline {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.card-body {
    padding: 1rem 3px;
}

.transp {
    background: url("../img/invisible.png");
    box-shadow: 3px 3px 0 var(--success) inset, -3px -3px 0 var(--success) inset !important;
}

.form-group {
    margin-top: 1em;
    margin-bottom: 0.5em;
}

.form-group input {
    border-bottom: 2px var(--bs-primary) solid;
}

a {
    color: var(--bs-gray-dark);
}

a:hover {
    color: var(--bs-gray);
}

.root_selected {
    outline: 3px solid var(--bs-success);
    outline-offset: -4px;
    box-shadow: 2px 2px 0 var(--bs-success) inset, -2px -2px 0 var(--bs-success) inset !important;
    /* height: auto !important; */
    position: relative;
  }
  
.root_selected::after {
    content: "";
    outline: 3px solid var(--bs-success);
    outline-offset: -4px;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    box-shadow: 2px 2px 0 var(--bs-success) inset, -2px -2px 0 var(--bs-success) inset !important;
    pointer-events:none;
}

.inactive{
    background-color: transparent;
    border:transparent;
    border-bottom: 0px !important;
    pointer-events: none;
}

.btnDelete{
    color: red;
    text-decoration: none;
}

.absoluteCenter{
    position:absolute;
    left:50%; 
    top:50%; 
    transform:translate(-50%, -50%);
}

*[class^='lod-picto']:before, *[class*=' lod-picto']:before {
    content: "";
    display: inline-block;
    width: 19px;
    height: 19px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-bottom: -0.20em;
    margin-right: 0.30em;
}

.lod-picto-downloadable:before {
    background-image: url("/static/img/picto/DOWNLOADABLE.svg");
}
.lod-picto-image:before {
    background-image: url("/static/img/picto/IMAGE.svg");
}
.lod-picto-model:before {
    background-image: url("/static/img/picto/MODEL.svg");
}
.lod-picto-pdf:before {
    background-image: url("/static/img/picto/PDF.svg");
}
.lod-picto-web:before {
    background-image: url("/static/img/picto/WEB.svg");
}
.lod-picto-video:before {
    background-image: url("/static/img/picto/VIDEO.svg");
}
.lod-picto-url:before {
    background-image: url("/static/img/picto/WEB.svg");
}
.lod-picto-form:before {
    background-image: url("/static/img/picto/FORM.svg");
}
.lod-picto-svg:before {
    background-image: url("/static/img/picto/SVG.svg");
}
.lod-picto-upload:before {
    background-image: url("/static/img/picto/UPLOAD.svg");
}
.lod-picto-music:before {
    background-image: url("/static/img/picto/MUSIC.svg");
}
.lod-picto-word:before {
    background-image: url("/static/img/picto/WORD.svg");
}
.lod-picto-font:before {
    background-image: url("/static/img/picto/FONT.svg");
}
.lod-picto-error:before {
    background-image: url("/static/img/picto/ERROR.svg");
}
.lod-picto-folder:before {
    background-image: url("/static/img/picto/FOLDER.svg");
}

.zoneTitle {
    position:absolute;
    z-index:2001;
    background-color: var(--bs-dark);
    color:white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0.25rem;
    height: 2rem;
    font-size: 1rem;
    padding-left: 5px;
    padding-right: 5px;
  }